Skip to content
Search
Search the documentation
CreateProjectAnnouncementBody
GitHub GitHub

CreateProjectAnnouncementBody

Interface: CreateProjectAnnouncementBody

Defined in: v1/types/projects.ts:213

Request body for creating a project announcement.

  • POST /v1/projects/@me/announcements

See

https://docs.top.gg/api/v1/projects#post-projectsmeannouncements

Properties

category?

optional category?: AnnouncementCategory

Defined in: v1/types/projects.ts:231

The announcement category. Defaults to “announcement”.


content

content: string

Defined in: v1/types/projects.ts:227

The announcement content.

Minimum

10

Maximum

2000


title

title: string

Defined in: v1/types/projects.ts:220

The announcement title.

Minimum

3

Maximum

100